# SPDX-License-Identifier: GPL-2.0
snd-soc-88pm860x-y := 88pm860x-codec.o
snd-soc-ab8500-codec-y := ab8500-codec.o
snd-soc-ac97-y := ac97.o
snd-soc-ad1836-y := ad1836.o
snd-soc-ad193x-y := ad193x.o
snd-soc-ad193x-spi-y := ad193x-spi.o
snd-soc-ad193x-i2c-y := ad193x-i2c.o
snd-soc-ad1980-y := ad1980.o
snd-soc-ad73311-y := ad73311.o
snd-soc-adau-utils-y := adau-utils.o
snd-soc-adau1372-y := adau1372.o
snd-soc-adau1372-i2c-y := adau1372-i2c.o
snd-soc-adau1372-spi-y := adau1372-spi.o
snd-soc-adau1373-y := adau1373.o
snd-soc-adau1701-y := adau1701.o
snd-soc-adau17x1-y := adau17x1.o
snd-soc-adau1761-y := adau1761.o
snd-soc-adau1761-i2c-y := adau1761-i2c.o
snd-soc-adau1761-spi-y := adau1761-spi.o
snd-soc-adau1781-y := adau1781.o
snd-soc-adau1781-i2c-y := adau1781-i2c.o
snd-soc-adau1781-spi-y := adau1781-spi.o
snd-soc-adau1977-y := adau1977.o
snd-soc-adau1977-spi-y := adau1977-spi.o
snd-soc-adau1977-i2c-y := adau1977-i2c.o
snd-soc-adau7002-y := adau7002.o
snd-soc-adau7118-y := adau7118.o
snd-soc-adau7118-i2c-y := adau7118-i2c.o
snd-soc-adau7118-hw-y := adau7118-hw.o
snd-soc-adav80x-y := adav80x.o
snd-soc-adav801-y := adav801.o
snd-soc-adav803-y := adav803.o
snd-soc-ads117x-y := ads117x.o
snd-soc-ak4104-y := ak4104.o
snd-soc-ak4118-y := ak4118.o
snd-soc-ak4375-y := ak4375.o
snd-soc-ak4458-y := ak4458.o
snd-soc-ak4535-y := ak4535.o
snd-soc-ak4554-y := ak4554.o
snd-soc-ak4613-y := ak4613.o
snd-soc-ak4619-y := ak4619.o
snd-soc-ak4641-y := ak4641.o
snd-soc-ak4642-y := ak4642.o
snd-soc-ak4671-y := ak4671.o
snd-soc-ak5386-y := ak5386.o
snd-soc-ak5558-y := ak5558.o
snd-soc-arizona-y := arizona.o arizona-jack.o
snd-soc-audio-iio-aux-y := audio-iio-aux.o
snd-soc-aw8738-y := aw8738.o
snd-soc-aw87390-y := aw87390.o
snd-soc-aw88395-lib-y := aw88395/aw88395_lib.o
snd-soc-aw88395-y := aw88395/aw88395.o \
			aw88395/aw88395_device.o
snd-soc-aw88261-y := aw88261.o
snd-soc-aw88399-y := aw88399.o
snd-soc-bd28623-y := bd28623.o
snd-soc-bt-sco-y := bt-sco.o
snd-soc-chv3-codec-y := chv3-codec.o
snd-soc-cpcap-y := cpcap.o
snd-soc-cq93vc-y := cq93vc.o
snd-soc-cros-ec-codec-y := cros_ec_codec.o
snd-soc-cs-amp-lib-y := cs-amp-lib.o
snd-soc-cs-amp-lib-test-y := cs-amp-lib-test.o
snd-soc-cs35l32-y := cs35l32.o
snd-soc-cs35l33-y := cs35l33.o
snd-soc-cs35l34-y := cs35l34.o
snd-soc-cs35l35-y := cs35l35.o
snd-soc-cs35l36-y := cs35l36.o
snd-soc-cs35l41-lib-y := cs35l41-lib.o
snd-soc-cs35l41-y := cs35l41.o
snd-soc-cs35l41-spi-y := cs35l41-spi.o
snd-soc-cs35l41-i2c-y := cs35l41-i2c.o
snd-soc-cs35l45-y := cs35l45.o cs35l45-tables.o
snd-soc-cs35l45-spi-y := cs35l45-spi.o
snd-soc-cs35l45-i2c-y := cs35l45-i2c.o
snd-soc-cs35l56-y := cs35l56.o
snd-soc-cs35l56-shared-y := cs35l56-shared.o
snd-soc-cs35l56-i2c-y := cs35l56-i2c.o
snd-soc-cs35l56-spi-y := cs35l56-spi.o
snd-soc-cs35l56-sdw-y := cs35l56-sdw.o
snd-soc-cs42l42-y := cs42l42.o
snd-soc-cs42l42-i2c-y := cs42l42-i2c.o
snd-soc-cs42l42-sdw-y := cs42l42-sdw.o
snd-soc-cs42l43-y := cs42l43.o cs42l43-jack.o
snd-soc-cs42l43-sdw-y := cs42l43-sdw.o
snd-soc-cs42l51-y := cs42l51.o
snd-soc-cs42l51-i2c-y := cs42l51-i2c.o
snd-soc-cs42l52-y := cs42l52.o
snd-soc-cs42l56-y := cs42l56.o
snd-soc-cs42l73-y := cs42l73.o
snd-soc-cs42l83-i2c-y := cs42l83-i2c.o
snd-soc-cs4234-y := cs4234.o
snd-soc-cs4265-y := cs4265.o
snd-soc-cs4270-y := cs4270.o
snd-soc-cs4271-y := cs4271.o
snd-soc-cs4271-i2c-y := cs4271-i2c.o
snd-soc-cs4271-spi-y := cs4271-spi.o
snd-soc-cs42xx8-y := cs42xx8.o
snd-soc-cs42xx8-i2c-y := cs42xx8-i2c.o
snd-soc-cs43130-y := cs43130.o
snd-soc-cs4341-y := cs4341.o
snd-soc-cs4349-y := cs4349.o
snd-soc-cs47l15-y := cs47l15.o
snd-soc-cs47l24-y := cs47l24.o
snd-soc-cs47l35-y := cs47l35.o
snd-soc-cs47l85-y := cs47l85.o
snd-soc-cs47l90-y := cs47l90.o
snd-soc-cs47l92-y := cs47l92.o
snd-soc-cs53l30-y := cs53l30.o
snd-soc-cx20442-y := cx20442.o
snd-soc-cx2072x-y := cx2072x.o
snd-soc-da7210-y := da7210.o
snd-soc-da7213-y := da7213.o
snd-soc-da7218-y := da7218.o
snd-soc-da7219-y := da7219.o da7219-aad.o
snd-soc-da732x-y := da732x.o
snd-soc-da9055-y := da9055.o
snd-soc-dmic-y := dmic.o
snd-soc-es7134-y := es7134.o
snd-soc-es7241-y := es7241.o
snd-soc-es83xx-dsm-common-y := es83xx-dsm-common.o
snd-soc-es8316-y := es8316.o
snd-soc-es8326-y := es8326.o
snd-soc-es8328-y := es8328.o
snd-soc-es8328-i2c-y := es8328-i2c.o
snd-soc-es8328-spi-y := es8328-spi.o
snd-soc-gtm601-y := gtm601.o
snd-soc-hdac-hdmi-y := hdac_hdmi.o
snd-soc-hdac-hda-y := hdac_hda.o
snd-soc-hda-codec-y := hda.o hda-dai.o
snd-soc-ics43432-y := ics43432.o
snd-soc-idt821034-y := idt821034.o
snd-soc-inno-rk3036-y := inno_rk3036.o
snd-soc-isabelle-y := isabelle.o
snd-soc-jz4740-codec-y := jz4740.o
snd-soc-jz4725b-codec-y := jz4725b.o
snd-soc-jz4760-codec-y := jz4760.o
snd-soc-jz4770-codec-y := jz4770.o
snd-soc-lm4857-y := lm4857.o
snd-soc-lm49453-y := lm49453.o
snd-soc-lochnagar-sc-y := lochnagar-sc.o
snd-soc-lpass-macro-common-y := lpass-macro-common.o
snd-soc-lpass-rx-macro-y := lpass-rx-macro.o
snd-soc-lpass-tx-macro-y := lpass-tx-macro.o
snd-soc-lpass-wsa-macro-y := lpass-wsa-macro.o
snd-soc-lpass-va-macro-y := lpass-va-macro.o
snd-soc-madera-y := madera.o
snd-soc-max9759-y := max9759.o
snd-soc-max9768-y := max9768.o
snd-soc-max98088-y := max98088.o
snd-soc-max98090-y := max98090.o
snd-soc-max98095-y := max98095.o
snd-soc-max98357a-y := max98357a.o
snd-soc-max98371-y := max98371.o
snd-soc-max9867-y := max9867.o
snd-soc-max98925-y := max98925.o
snd-soc-max98926-y := max98926.o
snd-soc-max98927-y := max98927.o
snd-soc-max98520-y := max98520.o
snd-soc-max98363-y := max98363.o
snd-soc-max98373-y := max98373.o
snd-soc-max98373-i2c-y := max98373-i2c.o
snd-soc-max98373-sdw-y := max98373-sdw.o
snd-soc-max98388-y := max98388.o
snd-soc-max98390-y := max98390.o
snd-soc-max98396-y := max98396.o
snd-soc-max9850-y := max9850.o
snd-soc-max9860-y := max9860.o
snd-soc-mc13783-y := mc13783.o
snd-soc-ml26124-y := ml26124.o
snd-soc-msm8916-analog-y := msm8916-wcd-analog.o
snd-soc-msm8916-digital-y := msm8916-wcd-digital.o
snd-soc-mt6351-y := mt6351.o
snd-soc-mt6358-y := mt6358.o
snd-soc-mt6359-y := mt6359.o
snd-soc-mt6359-accdet-y := mt6359-accdet.o
snd-soc-mt6660-y := mt6660.o
snd-soc-nau8315-y := nau8315.o
snd-soc-nau8540-y := nau8540.o
snd-soc-nau8810-y := nau8810.o
snd-soc-nau8821-y := nau8821.o
snd-soc-nau8822-y := nau8822.o
snd-soc-nau8824-y := nau8824.o
snd-soc-nau8825-y := nau8825.o
snd-soc-hdmi-codec-y := hdmi-codec.o
snd-soc-pcm1681-y := pcm1681.o
snd-soc-pcm1789-codec-y := pcm1789.o
snd-soc-pcm1789-i2c-y := pcm1789-i2c.o
snd-soc-pcm179x-codec-y := pcm179x.o
snd-soc-pcm179x-i2c-y := pcm179x-i2c.o
snd-soc-pcm179x-spi-y := pcm179x-spi.o
snd-soc-pcm186x-y := pcm186x.o
snd-soc-pcm186x-i2c-y := pcm186x-i2c.o
snd-soc-pcm186x-spi-y := pcm186x-spi.o
snd-soc-pcm3008-y := pcm3008.o
snd-soc-pcm3060-y := pcm3060.o
snd-soc-pcm3060-i2c-y := pcm3060-i2c.o
snd-soc-pcm3060-spi-y := pcm3060-spi.o
snd-soc-pcm3168a-y := pcm3168a.o
snd-soc-pcm3168a-i2c-y := pcm3168a-i2c.o
snd-soc-pcm3168a-spi-y := pcm3168a-spi.o
snd-soc-pcm5102a-y := pcm5102a.o
snd-soc-pcm512x-y := pcm512x.o
snd-soc-pcm512x-i2c-y := pcm512x-i2c.o
snd-soc-pcm512x-spi-y := pcm512x-spi.o
snd-soc-peb2466-y := peb2466.o
snd-soc-rk3328-y := rk3328_codec.o
snd-soc-rk817-y := rk817_codec.o
snd-soc-rl6231-y := rl6231.o
snd-soc-rl6347a-y := rl6347a.o
snd-soc-rt1011-y := rt1011.o
snd-soc-rt1015-y := rt1015.o
snd-soc-rt1015p-y := rt1015p.o
snd-soc-rt1016-y := rt1016.o
snd-soc-rt1017-sdca-y := rt1017-sdca-sdw.o
snd-soc-rt1019-y := rt1019.o
snd-soc-rt1305-y := rt1305.o
snd-soc-rt1308-y := rt1308.o
snd-soc-rt1308-sdw-y := rt1308-sdw.o
snd-soc-rt1316-sdw-y := rt1316-sdw.o
snd-soc-rt1318-y := rt1318.o
snd-soc-rt1318-sdw-y := rt1318-sdw.o
snd-soc-rt1320-sdw-y := rt1320-sdw.o
snd-soc-rt274-y := rt274.o
snd-soc-rt286-y := rt286.o
snd-soc-rt298-y := rt298.o
snd-soc-rt5514-y := rt5514.o
snd-soc-rt5514-spi-y := rt5514-spi.o
snd-soc-rt5616-y := rt5616.o
snd-soc-rt5631-y := rt5631.o
snd-soc-rt5640-y := rt5640.o
snd-soc-rt5645-y := rt5645.o
snd-soc-rt5651-y := rt5651.o
snd-soc-rt5659-y := rt5659.o
snd-soc-rt5660-y := rt5660.o
snd-soc-rt5663-y := rt5663.o
snd-soc-rt5665-y := rt5665.o
snd-soc-rt5668-y := rt5668.o
snd-soc-rt5670-y := rt5670.o
snd-soc-rt5677-y := rt5677.o
snd-soc-rt5677-spi-y := rt5677-spi.o
snd-soc-rt5682-y := rt5682.o
snd-soc-rt5682-sdw-y := rt5682-sdw.o
snd-soc-rt5682-i2c-y := rt5682-i2c.o
snd-soc-rt5682s-y := rt5682s.o
snd-soc-rt700-y := rt700.o rt700-sdw.o
snd-soc-rt711-y := rt711.o rt711-sdw.o
snd-soc-rt711-sdca-y := rt711-sdca.o rt711-sdca-sdw.o
snd-soc-rt712-sdca-y := rt712-sdca.o rt712-sdca-sdw.o
snd-soc-rt712-sdca-dmic-y := rt712-sdca-dmic.o
snd-soc-rt715-y := rt715.o rt715-sdw.o
snd-soc-rt715-sdca-y := rt715-sdca.o rt715-sdca-sdw.o
snd-soc-rt722-sdca-y := rt722-sdca.o rt722-sdca-sdw.o
snd-soc-rt9120-y := rt9120.o
snd-soc-rtq9128-y := rtq9128.o
snd-soc-sdw-mockup-y := sdw-mockup.o
snd-soc-sgtl5000-y := sgtl5000.o
snd-soc-alc5623-y := alc5623.o
snd-soc-alc5632-y := alc5632.o
snd-soc-sigmadsp-y := sigmadsp.o
snd-soc-sigmadsp-i2c-y := sigmadsp-i2c.o
snd-soc-sigmadsp-regmap-y := sigmadsp-regmap.o
snd-soc-si476x-y := si476x.o
snd-soc-sma1303-y := sma1303.o
snd-soc-spdif-tx-y := spdif_transmitter.o
snd-soc-spdif-rx-y := spdif_receiver.o
snd-soc-src4xxx-y := src4xxx.o
snd-soc-src4xxx-i2c-y := src4xxx-i2c.o
snd-soc-ssm2305-y := ssm2305.o
snd-soc-ssm2518-y := ssm2518.o
snd-soc-ssm2602-y := ssm2602.o
snd-soc-ssm2602-spi-y := ssm2602-spi.o
snd-soc-ssm2602-i2c-y := ssm2602-i2c.o
snd-soc-ssm3515-y := ssm3515.o
snd-soc-ssm4567-y := ssm4567.o
snd-soc-sta32x-y := sta32x.o
snd-soc-sta350-y := sta350.o
snd-soc-sta529-y := sta529.o
snd-soc-stac9766-y := stac9766.o
snd-soc-sti-sas-y := sti-sas.o
snd-soc-tas5086-y := tas5086.o
snd-soc-tas571x-y := tas571x.o
snd-soc-tas5720-y := tas5720.o
snd-soc-tas5805m-y := tas5805m.o
snd-soc-tas6424-y := tas6424.o
snd-soc-tda7419-y := tda7419.o
snd-soc-tas2770-y := tas2770.o
snd-soc-tas2781-comlib-y := tas2781-comlib.o
snd-soc-tas2781-fmwlib-y := tas2781-fmwlib.o
snd-soc-tas2781-i2c-y := tas2781-i2c.o
snd-soc-tfa9879-y := tfa9879.o
snd-soc-tfa989x-y := tfa989x.o
snd-soc-tlv320adc3xxx-y := tlv320adc3xxx.o
snd-soc-tlv320aic23-y := tlv320aic23.o
snd-soc-tlv320aic23-i2c-y := tlv320aic23-i2c.o
snd-soc-tlv320aic23-spi-y := tlv320aic23-spi.o
snd-soc-tlv320aic26-y := tlv320aic26.o
snd-soc-tlv320aic31xx-y := tlv320aic31xx.o
snd-soc-tlv320aic32x4-y := tlv320aic32x4.o tlv320aic32x4-clk.o
snd-soc-tlv320aic32x4-i2c-y := tlv320aic32x4-i2c.o
snd-soc-tlv320aic32x4-spi-y := tlv320aic32x4-spi.o
snd-soc-tlv320aic3x-y := tlv320aic3x.o
snd-soc-tlv320aic3x-i2c-y := tlv320aic3x-i2c.o
snd-soc-tlv320aic3x-spi-y := tlv320aic3x-spi.o
snd-soc-tlv320dac33-y := tlv320dac33.o
snd-soc-tlv320adcx140-y := tlv320adcx140.o
snd-soc-tscs42xx-y := tscs42xx.o
snd-soc-tscs454-y := tscs454.o
snd-soc-ts3a227e-y := ts3a227e.o
snd-soc-twl4030-y := twl4030.o
snd-soc-twl6040-y := twl6040.o
snd-soc-uda1334-y := uda1334.o
snd-soc-uda1380-y := uda1380.o
snd-soc-wcd-classh-y := wcd-clsh-v2.o
snd-soc-wcd-mbhc-y := wcd-mbhc-v2.o
snd-soc-wcd9335-y := wcd9335.o
snd-soc-wcd934x-y := wcd934x.o
snd-soc-wcd937x-objs := wcd937x.o
snd-soc-wcd937x-sdw-objs := wcd937x-sdw.o
snd-soc-wcd938x-y := wcd938x.o
snd-soc-wcd938x-sdw-y := wcd938x-sdw.o
snd-soc-wcd939x-y := wcd939x.o
snd-soc-wcd939x-sdw-y := wcd939x-sdw.o
snd-soc-wl1273-y := wl1273.o
snd-soc-wm-adsp-y := wm_adsp.o
snd-soc-wm0010-y := wm0010.o
snd-soc-wm1250-ev1-y := wm1250-ev1.o
snd-soc-wm2000-y := wm2000.o
snd-soc-wm2200-y := wm2200.o
snd-soc-wm5100-y := wm5100.o wm5100-tables.o
snd-soc-wm5102-y := wm5102.o
snd-soc-wm5110-y := wm5110.o
snd-soc-wm8350-y := wm8350.o
snd-soc-wm8400-y := wm8400.o
snd-soc-wm8510-y := wm8510.o
snd-soc-wm8523-y := wm8523.o
snd-soc-wm8524-y := wm8524.o
snd-soc-wm8580-y := wm8580.o
snd-soc-wm8711-y := wm8711.o
snd-soc-wm8727-y := wm8727.o
snd-soc-wm8728-y := wm8728.o
snd-soc-wm8731-y := wm8731.o
snd-soc-wm8731-i2c-y := wm8731-i2c.o
snd-soc-wm8731-spi-y := wm8731-spi.o
snd-soc-wm8737-y := wm8737.o
snd-soc-wm8741-y := wm8741.o
snd-soc-wm8750-y := wm8750.o
snd-soc-wm8753-y := wm8753.o
snd-soc-wm8770-y := wm8770.o
snd-soc-wm8776-y := wm8776.o
snd-soc-wm8782-y := wm8782.o
snd-soc-wm8804-y := wm8804.o
snd-soc-wm8804-i2c-y := wm8804-i2c.o
snd-soc-wm8804-spi-y := wm8804-spi.o
snd-soc-wm8900-y := wm8900.o
snd-soc-wm8903-y := wm8903.o
snd-soc-wm8904-y := wm8904.o
snd-soc-wm8996-y := wm8996.o
snd-soc-wm8940-y := wm8940.o
snd-soc-wm8955-y := wm8955.o
snd-soc-wm8960-y := wm8960.o
snd-soc-wm8961-y := wm8961.o
snd-soc-wm8962-y := wm8962.o
snd-soc-wm8971-y := wm8971.o
snd-soc-wm8974-y := wm8974.o
snd-soc-wm8978-y := wm8978.o
snd-soc-wm8983-y := wm8983.o
snd-soc-wm8985-y := wm8985.o
snd-soc-wm8988-y := wm8988.o
snd-soc-wm8990-y := wm8990.o
snd-soc-wm8991-y := wm8991.o
snd-soc-wm8993-y := wm8993.o
snd-soc-wm8994-y := wm8994.o wm8958-dsp2.o
snd-soc-wm8995-y := wm8995.o
snd-soc-wm8997-y := wm8997.o
snd-soc-wm8998-y := wm8998.o
snd-soc-wm9081-y := wm9081.o
snd-soc-wm9090-y := wm9090.o
snd-soc-wm9705-y := wm9705.o
snd-soc-wm9712-y := wm9712.o
snd-soc-wm9713-y := wm9713.o
snd-soc-wm-hubs-y := wm_hubs.o
snd-soc-wsa881x-y := wsa881x.o
snd-soc-wsa883x-y := wsa883x.o
snd-soc-wsa884x-y := wsa884x.o
snd-soc-zl38060-y := zl38060.o
# Amp
snd-soc-max9877-y := max9877.o
snd-soc-max98504-y := max98504.o
snd-soc-simple-amplifier-y := simple-amplifier.o
snd-soc-tpa6130a2-y := tpa6130a2.o
snd-soc-tas2552-y := tas2552.o
snd-soc-tas2562-y := tas2562.o
snd-soc-tas2764-y := tas2764.o
snd-soc-tas2780-y := tas2780.o
# Mux
snd-soc-simple-mux-y := simple-mux.o

obj-$(CONFIG_SND_SOC_88PM860X)	+= snd-soc-88pm860x.o
obj-$(CONFIG_SND_SOC_AB8500_CODEC)	+= snd-soc-ab8500-codec.o
obj-$(CONFIG_SND_SOC_AC97_CODEC)	+= snd-soc-ac97.o
obj-$(CONFIG_SND_SOC_AD1836)	+= snd-soc-ad1836.o
obj-$(CONFIG_SND_SOC_AD193X)	+= snd-soc-ad193x.o
obj-$(CONFIG_SND_SOC_AD193X_SPI)	+= snd-soc-ad193x-spi.o
obj-$(CONFIG_SND_SOC_AD193X_I2C)	+= snd-soc-ad193x-i2c.o
obj-$(CONFIG_SND_SOC_AD1980)	+= snd-soc-ad1980.o
obj-$(CONFIG_SND_SOC_AD73311) += snd-soc-ad73311.o
obj-$(CONFIG_SND_SOC_ADAU_UTILS)	+= snd-soc-adau-utils.o
obj-$(CONFIG_SND_SOC_ADAU1372)	+= snd-soc-adau1372.o
obj-$(CONFIG_SND_SOC_ADAU1372_I2C)	+= snd-soc-adau1372-i2c.o
obj-$(CONFIG_SND_SOC_ADAU1372_SPI)	+= snd-soc-adau1372-spi.o
obj-$(CONFIG_SND_SOC_ADAU1373)	+= snd-soc-adau1373.o
obj-$(CONFIG_SND_SOC_ADAU1701)		+= snd-soc-adau1701.o
obj-$(CONFIG_SND_SOC_ADAU17X1)		+= snd-soc-adau17x1.o
obj-$(CONFIG_SND_SOC_ADAU1761)		+= snd-soc-adau1761.o
obj-$(CONFIG_SND_SOC_ADAU1761_I2C)	+= snd-soc-adau1761-i2c.o
obj-$(CONFIG_SND_SOC_ADAU1761_SPI)	+= snd-soc-adau1761-spi.o
obj-$(CONFIG_SND_SOC_ADAU1781)		+= snd-soc-adau1781.o
obj-$(CONFIG_SND_SOC_ADAU1781_I2C)	+= snd-soc-adau1781-i2c.o
obj-$(CONFIG_SND_SOC_ADAU1781_SPI)	+= snd-soc-adau1781-spi.o
obj-$(CONFIG_SND_SOC_ADAU1977)		+= snd-soc-adau1977.o
obj-$(CONFIG_SND_SOC_ADAU1977_SPI)	+= snd-soc-adau1977-spi.o
obj-$(CONFIG_SND_SOC_ADAU1977_I2C)	+= snd-soc-adau1977-i2c.o
obj-$(CONFIG_SND_SOC_ADAU7002)	+= snd-soc-adau7002.o
obj-$(CONFIG_SND_SOC_ADAU7118)	+= snd-soc-adau7118.o
obj-$(CONFIG_SND_SOC_ADAU7118_I2C)	+= snd-soc-adau7118-i2c.o
obj-$(CONFIG_SND_SOC_ADAU7118_HW)	+= snd-soc-adau7118-hw.o
obj-$(CONFIG_SND_SOC_ADAV80X)  += snd-soc-adav80x.o
obj-$(CONFIG_SND_SOC_ADAV801)  += snd-soc-adav801.o
obj-$(CONFIG_SND_SOC_ADAV803)  += snd-soc-adav803.o
obj-$(CONFIG_SND_SOC_ADS117X)	+= snd-soc-ads117x.o
obj-$(CONFIG_SND_SOC_AK4104)	+= snd-soc-ak4104.o
obj-$(CONFIG_SND_SOC_AK4118)	+= snd-soc-ak4118.o
obj-$(CONFIG_SND_SOC_AK4375)	+= snd-soc-ak4375.o
obj-$(CONFIG_SND_SOC_AK4458)	+= snd-soc-ak4458.o
obj-$(CONFIG_SND_SOC_AK4535)	+= snd-soc-ak4535.o
obj-$(CONFIG_SND_SOC_AK4554)	+= snd-soc-ak4554.o
obj-$(CONFIG_SND_SOC_AK4613)	+= snd-soc-ak4613.o
obj-$(CONFIG_SND_SOC_AK4619)	+= snd-soc-ak4619.o
obj-$(CONFIG_SND_SOC_AK4641)	+= snd-soc-ak4641.o
obj-$(CONFIG_SND_SOC_AK4642)	+= snd-soc-ak4642.o
obj-$(CONFIG_SND_SOC_AK4671)	+= snd-soc-ak4671.o
obj-$(CONFIG_SND_SOC_AK5386)	+= snd-soc-ak5386.o
obj-$(CONFIG_SND_SOC_AK5558)	+= snd-soc-ak5558.o
obj-$(CONFIG_SND_SOC_ALC5623)    += snd-soc-alc5623.o
obj-$(CONFIG_SND_SOC_ALC5632)	+= snd-soc-alc5632.o
obj-$(CONFIG_SND_SOC_ARIZONA)	+= snd-soc-arizona.o
obj-$(CONFIG_SND_SOC_AUDIO_IIO_AUX)	+= snd-soc-audio-iio-aux.o
obj-$(CONFIG_SND_SOC_AW8738)	+= snd-soc-aw8738.o
obj-$(CONFIG_SND_SOC_AW87390)	+= snd-soc-aw87390.o
obj-$(CONFIG_SND_SOC_AW88395_LIB) += snd-soc-aw88395-lib.o
obj-$(CONFIG_SND_SOC_AW88395)	+=snd-soc-aw88395.o
obj-$(CONFIG_SND_SOC_AW88261)	+=snd-soc-aw88261.o
obj-$(CONFIG_SND_SOC_AW88399)	+= snd-soc-aw88399.o
obj-$(CONFIG_SND_SOC_BD28623)	+= snd-soc-bd28623.o
obj-$(CONFIG_SND_SOC_BT_SCO)	+= snd-soc-bt-sco.o
obj-$(CONFIG_SND_SOC_CHV3_CODEC) += snd-soc-chv3-codec.o
obj-$(CONFIG_SND_SOC_CQ0093VC) += snd-soc-cq93vc.o
obj-$(CONFIG_SND_SOC_CPCAP)	+= snd-soc-cpcap.o
obj-$(CONFIG_SND_SOC_CROS_EC_CODEC)	+= snd-soc-cros-ec-codec.o
obj-$(CONFIG_SND_SOC_CS_AMP_LIB)	+= snd-soc-cs-amp-lib.o
obj-$(CONFIG_SND_SOC_CS_AMP_LIB_TEST)	+= snd-soc-cs-amp-lib-test.o
obj-$(CONFIG_SND_SOC_CS35L32)	+= snd-soc-cs35l32.o
obj-$(CONFIG_SND_SOC_CS35L33)	+= snd-soc-cs35l33.o
obj-$(CONFIG_SND_SOC_CS35L34)	+= snd-soc-cs35l34.o
obj-$(CONFIG_SND_SOC_CS35L35)	+= snd-soc-cs35l35.o
obj-$(CONFIG_SND_SOC_CS35L36)	+= snd-soc-cs35l36.o
obj-$(CONFIG_SND_SOC_CS35L41)	+= snd-soc-cs35l41.o
obj-$(CONFIG_SND_SOC_CS35L41_LIB)	+= snd-soc-cs35l41-lib.o
obj-$(CONFIG_SND_SOC_CS35L41_SPI)	+= snd-soc-cs35l41-spi.o
obj-$(CONFIG_SND_SOC_CS35L41_I2C)	+= snd-soc-cs35l41-i2c.o
obj-$(CONFIG_SND_SOC_CS35L45)	+= snd-soc-cs35l45.o
obj-$(CONFIG_SND_SOC_CS35L45_SPI)	+= snd-soc-cs35l45-spi.o
obj-$(CONFIG_SND_SOC_CS35L45_I2C)	+= snd-soc-cs35l45-i2c.o
obj-$(CONFIG_SND_SOC_CS35L56)	+= snd-soc-cs35l56.o
obj-$(CONFIG_SND_SOC_CS35L56_SHARED)	+= snd-soc-cs35l56-shared.o
obj-$(CONFIG_SND_SOC_CS35L56_I2C)	+= snd-soc-cs35l56-i2c.o
obj-$(CONFIG_SND_SOC_CS35L56_SPI)	+= snd-soc-cs35l56-spi.o
obj-$(CONFIG_SND_SOC_CS35L56_SDW)	+= snd-soc-cs35l56-sdw.o
obj-$(CONFIG_SND_SOC_CS42L42_CORE)	+= snd-soc-cs42l42.o
obj-$(CONFIG_SND_SOC_CS42L42)	+= snd-soc-cs42l42-i2c.o
obj-$(CONFIG_SND_SOC_CS42L42_SDW)	+= snd-soc-cs42l42-sdw.o
obj-$(CONFIG_SND_SOC_CS42L43)	+= snd-soc-cs42l43.o
obj-$(CONFIG_SND_SOC_CS42L43_SDW)	+= snd-soc-cs42l43-sdw.o
obj-$(CONFIG_SND_SOC_CS42L51)	+= snd-soc-cs42l51.o
obj-$(CONFIG_SND_SOC_CS42L51_I2C)	+= snd-soc-cs42l51-i2c.o
obj-$(CONFIG_SND_SOC_CS42L52)	+= snd-soc-cs42l52.o
obj-$(CONFIG_SND_SOC_CS42L56)	+= snd-soc-cs42l56.o
obj-$(CONFIG_SND_SOC_CS42L73)	+= snd-soc-cs42l73.o
obj-$(CONFIG_SND_SOC_CS42L83)	+= snd-soc-cs42l83-i2c.o
obj-$(CONFIG_SND_SOC_CS4234)	+= snd-soc-cs4234.o
obj-$(CONFIG_SND_SOC_CS4265)	+= snd-soc-cs4265.o
obj-$(CONFIG_SND_SOC_CS4270)	+= snd-soc-cs4270.o
obj-$(CONFIG_SND_SOC_CS4271)	+= snd-soc-cs4271.o
obj-$(CONFIG_SND_SOC_CS4271_I2C)	+= snd-soc-cs4271-i2c.o
obj-$(CONFIG_SND_SOC_CS4271_SPI)	+= snd-soc-cs4271-spi.o
obj-$(CONFIG_SND_SOC_CS42XX8)	+= snd-soc-cs42xx8.o
obj-$(CONFIG_SND_SOC_CS42XX8_I2C) += snd-soc-cs42xx8-i2c.o
obj-$(CONFIG_SND_SOC_CS43130)   += snd-soc-cs43130.o
obj-$(CONFIG_SND_SOC_CS4341)	+= snd-soc-cs4341.o
obj-$(CONFIG_SND_SOC_CS4349)	+= snd-soc-cs4349.o
obj-$(CONFIG_SND_SOC_CS47L24)	+= snd-soc-cs47l24.o
obj-$(CONFIG_SND_SOC_CS47L15)	+= snd-soc-cs47l15.o
obj-$(CONFIG_SND_SOC_CS47L35)	+= snd-soc-cs47l35.o
obj-$(CONFIG_SND_SOC_CS47L85)	+= snd-soc-cs47l85.o
obj-$(CONFIG_SND_SOC_CS47L90)	+= snd-soc-cs47l90.o
obj-$(CONFIG_SND_SOC_CS47L92)	+= snd-soc-cs47l92.o
obj-$(CONFIG_SND_SOC_CS53L30)	+= snd-soc-cs53l30.o
obj-$(CONFIG_SND_SOC_CX20442)	+= snd-soc-cx20442.o
obj-$(CONFIG_SND_SOC_CX2072X)	+= snd-soc-cx2072x.o
obj-$(CONFIG_SND_SOC_DA7210)	+= snd-soc-da7210.o
obj-$(CONFIG_SND_SOC_DA7213)	+= snd-soc-da7213.o
obj-$(CONFIG_SND_SOC_DA7218)	+= snd-soc-da7218.o
obj-$(CONFIG_SND_SOC_DA7219)	+= snd-soc-da7219.o
obj-$(CONFIG_SND_SOC_DA732X)	+= snd-soc-da732x.o
obj-$(CONFIG_SND_SOC_DA9055)	+= snd-soc-da9055.o
obj-$(CONFIG_SND_SOC_DMIC)	+= snd-soc-dmic.o
obj-$(CONFIG_SND_SOC_ES7134)	+= snd-soc-es7134.o
obj-$(CONFIG_SND_SOC_ES7241)	+= snd-soc-es7241.o
obj-$(CONFIG_SND_SOC_ES83XX_DSM_COMMON)    += snd-soc-es83xx-dsm-common.o
obj-$(CONFIG_SND_SOC_ES8316)    += snd-soc-es8316.o
obj-$(CONFIG_SND_SOC_ES8326)    += snd-soc-es8326.o
obj-$(CONFIG_SND_SOC_ES8328)	+= snd-soc-es8328.o
obj-$(CONFIG_SND_SOC_ES8328_I2C)+= snd-soc-es8328-i2c.o
obj-$(CONFIG_SND_SOC_ES8328_SPI)+= snd-soc-es8328-spi.o
obj-$(CONFIG_SND_SOC_GTM601)    += snd-soc-gtm601.o
obj-$(CONFIG_SND_SOC_HDAC_HDMI) += snd-soc-hdac-hdmi.o
obj-$(CONFIG_SND_SOC_HDAC_HDA) += snd-soc-hdac-hda.o
obj-$(CONFIG_SND_SOC_HDA) += snd-soc-hda-codec.o
obj-$(CONFIG_SND_SOC_ICS43432)	+= snd-soc-ics43432.o
obj-$(CONFIG_SND_SOC_IDT821034)	+= snd-soc-idt821034.o
obj-$(CONFIG_SND_SOC_INNO_RK3036)	+= snd-soc-inno-rk3036.o
obj-$(CONFIG_SND_SOC_ISABELLE)	+= snd-soc-isabelle.o
obj-$(CONFIG_SND_SOC_JZ4740_CODEC)	+= snd-soc-jz4740-codec.o
obj-$(CONFIG_SND_SOC_JZ4725B_CODEC)	+= snd-soc-jz4725b-codec.o
obj-$(CONFIG_SND_SOC_JZ4760_CODEC)      += snd-soc-jz4760-codec.o
obj-$(CONFIG_SND_SOC_JZ4770_CODEC)	+= snd-soc-jz4770-codec.o
obj-$(CONFIG_SND_SOC_LM4857)	+= snd-soc-lm4857.o
obj-$(CONFIG_SND_SOC_LM49453)   += snd-soc-lm49453.o
obj-$(CONFIG_SND_SOC_LOCHNAGAR_SC)	+= snd-soc-lochnagar-sc.o
obj-$(CONFIG_SND_SOC_MADERA)	+= snd-soc-madera.o
obj-$(CONFIG_SND_SOC_MAX9759)	+= snd-soc-max9759.o
obj-$(CONFIG_SND_SOC_MAX9768)	+= snd-soc-max9768.o
obj-$(CONFIG_SND_SOC_MAX98088)	+= snd-soc-max98088.o
obj-$(CONFIG_SND_SOC_MAX98090)	+= snd-soc-max98090.o
obj-$(CONFIG_SND_SOC_MAX98095)	+= snd-soc-max98095.o
obj-$(CONFIG_SND_SOC_MAX98357A)	+= snd-soc-max98357a.o
obj-$(CONFIG_SND_SOC_MAX98371)	+= snd-soc-max98371.o
obj-$(CONFIG_SND_SOC_MAX9867)	+= snd-soc-max9867.o
obj-$(CONFIG_SND_SOC_MAX98925)	+= snd-soc-max98925.o
obj-$(CONFIG_SND_SOC_MAX98926)	+= snd-soc-max98926.o
obj-$(CONFIG_SND_SOC_MAX98927)	+= snd-soc-max98927.o
obj-$(CONFIG_SND_SOC_MAX98520)	+= snd-soc-max98520.o
obj-$(CONFIG_SND_SOC_MAX98363)	+= snd-soc-max98363.o
obj-$(CONFIG_SND_SOC_MAX98373)	+= snd-soc-max98373.o
obj-$(CONFIG_SND_SOC_MAX98373_I2C)   += snd-soc-max98373-i2c.o
obj-$(CONFIG_SND_SOC_MAX98373_SDW)   += snd-soc-max98373-sdw.o
obj-$(CONFIG_SND_SOC_MAX98388)	+= snd-soc-max98388.o
obj-$(CONFIG_SND_SOC_MAX98390)	+= snd-soc-max98390.o
obj-$(CONFIG_SND_SOC_MAX98396)	+= snd-soc-max98396.o
obj-$(CONFIG_SND_SOC_MAX9850)	+= snd-soc-max9850.o
obj-$(CONFIG_SND_SOC_MAX9860)	+= snd-soc-max9860.o
obj-$(CONFIG_SND_SOC_MC13783)	+= snd-soc-mc13783.o
obj-$(CONFIG_SND_SOC_ML26124)	+= snd-soc-ml26124.o
obj-$(CONFIG_SND_SOC_MSM8916_WCD_ANALOG) +=snd-soc-msm8916-analog.o
obj-$(CONFIG_SND_SOC_MSM8916_WCD_DIGITAL) +=snd-soc-msm8916-digital.o
obj-$(CONFIG_SND_SOC_MT6351)	+= snd-soc-mt6351.o
obj-$(CONFIG_SND_SOC_MT6358)	+= snd-soc-mt6358.o
obj-$(CONFIG_SND_SOC_MT6359)	+= snd-soc-mt6359.o
obj-$(CONFIG_SND_SOC_MT6359_ACCDET) += mt6359-accdet.o
obj-$(CONFIG_SND_SOC_MT6660)	+= snd-soc-mt6660.o
obj-$(CONFIG_SND_SOC_NAU8315)   += snd-soc-nau8315.o
obj-$(CONFIG_SND_SOC_NAU8540)   += snd-soc-nau8540.o
obj-$(CONFIG_SND_SOC_NAU8810)   += snd-soc-nau8810.o
obj-$(CONFIG_SND_SOC_NAU8821)   += snd-soc-nau8821.o
obj-$(CONFIG_SND_SOC_NAU8822)   += snd-soc-nau8822.o
obj-$(CONFIG_SND_SOC_NAU8824)   += snd-soc-nau8824.o
obj-$(CONFIG_SND_SOC_NAU8825)   += snd-soc-nau8825.o
obj-$(CONFIG_SND_SOC_HDMI_CODEC)	+= snd-soc-hdmi-codec.o
obj-$(CONFIG_SND_SOC_PCM1681)	+= snd-soc-pcm1681.o
obj-$(CONFIG_SND_SOC_PCM179X)	+= snd-soc-pcm179x-codec.o
obj-$(CONFIG_SND_SOC_PCM1789_I2C)	+= snd-soc-pcm1789-i2c.o
obj-$(CONFIG_SND_SOC_PCM1789)	+= snd-soc-pcm1789-codec.o
obj-$(CONFIG_SND_SOC_PCM179X_I2C)	+= snd-soc-pcm179x-i2c.o
obj-$(CONFIG_SND_SOC_PCM179X_SPI)	+= snd-soc-pcm179x-spi.o
obj-$(CONFIG_SND_SOC_PCM186X)	+= snd-soc-pcm186x.o
obj-$(CONFIG_SND_SOC_PCM186X_I2C)	+= snd-soc-pcm186x-i2c.o
obj-$(CONFIG_SND_SOC_PCM186X_SPI)	+= snd-soc-pcm186x-spi.o
obj-$(CONFIG_SND_SOC_PCM3008)	+= snd-soc-pcm3008.o
obj-$(CONFIG_SND_SOC_PCM3060)	+= snd-soc-pcm3060.o
obj-$(CONFIG_SND_SOC_PCM3060_I2C)	+= snd-soc-pcm3060-i2c.o
obj-$(CONFIG_SND_SOC_PCM3060_SPI)	+= snd-soc-pcm3060-spi.o
obj-$(CONFIG_SND_SOC_PCM3168A)	+= snd-soc-pcm3168a.o
obj-$(CONFIG_SND_SOC_PCM3168A_I2C)	+= snd-soc-pcm3168a-i2c.o
obj-$(CONFIG_SND_SOC_PCM3168A_SPI)	+= snd-soc-pcm3168a-spi.o
obj-$(CONFIG_SND_SOC_PCM5102A)	+= snd-soc-pcm5102a.o
obj-$(CONFIG_SND_SOC_PCM512x)	+= snd-soc-pcm512x.o
obj-$(CONFIG_SND_SOC_PCM512x_I2C)	+= snd-soc-pcm512x-i2c.o
obj-$(CONFIG_SND_SOC_PCM512x_SPI)	+= snd-soc-pcm512x-spi.o
obj-$(CONFIG_SND_SOC_PEB2466)	+= snd-soc-peb2466.o
obj-$(CONFIG_SND_SOC_RK3328)	+= snd-soc-rk3328.o
obj-$(CONFIG_SND_SOC_RK817)	+= snd-soc-rk817.o
obj-$(CONFIG_SND_SOC_RL6231)	+= snd-soc-rl6231.o
obj-$(CONFIG_SND_SOC_RL6347A)	+= snd-soc-rl6347a.o
obj-$(CONFIG_SND_SOC_RT1011)	+= snd-soc-rt1011.o
obj-$(CONFIG_SND_SOC_RT1015)	+= snd-soc-rt1015.o
obj-$(CONFIG_SND_SOC_RT1015P)	+= snd-soc-rt1015p.o
obj-$(CONFIG_SND_SOC_RT1016)	+= snd-soc-rt1016.o
obj-$(CONFIG_SND_SOC_RT1017_SDCA_SDW)	+= snd-soc-rt1017-sdca.o
obj-$(CONFIG_SND_SOC_RT1019)	+= snd-soc-rt1019.o
obj-$(CONFIG_SND_SOC_RT1305)	+= snd-soc-rt1305.o
obj-$(CONFIG_SND_SOC_RT1308)	+= snd-soc-rt1308.o
obj-$(CONFIG_SND_SOC_RT1308_SDW)	+= snd-soc-rt1308-sdw.o
obj-$(CONFIG_SND_SOC_RT1316_SDW)	+= snd-soc-rt1316-sdw.o
obj-$(CONFIG_SND_SOC_RT1318)	+= snd-soc-rt1318.o
obj-$(CONFIG_SND_SOC_RT1318_SDW)	+= snd-soc-rt1318-sdw.o
obj-$(CONFIG_SND_SOC_RT1320_SDW)	+= snd-soc-rt1320-sdw.o
obj-$(CONFIG_SND_SOC_RT274)	+= snd-soc-rt274.o
obj-$(CONFIG_SND_SOC_RT286)	+= snd-soc-rt286.o
obj-$(CONFIG_SND_SOC_RT298)	+= snd-soc-rt298.o
obj-$(CONFIG_SND_SOC_RT5514)	+= snd-soc-rt5514.o
obj-$(CONFIG_SND_SOC_RT5514_SPI)	+= snd-soc-rt5514-spi.o
obj-$(CONFIG_SND_SOC_RT5514_SPI_BUILTIN)	+= snd-soc-rt5514-spi.o
obj-$(CONFIG_SND_SOC_RT5616)	+= snd-soc-rt5616.o
obj-$(CONFIG_SND_SOC_RT5631)	+= snd-soc-rt5631.o
obj-$(CONFIG_SND_SOC_RT5640)	+= snd-soc-rt5640.o
obj-$(CONFIG_SND_SOC_RT5645)	+= snd-soc-rt5645.o
obj-$(CONFIG_SND_SOC_RT5651)	+= snd-soc-rt5651.o
obj-$(CONFIG_SND_SOC_RT5659)	+= snd-soc-rt5659.o
obj-$(CONFIG_SND_SOC_RT5660)	+= snd-soc-rt5660.o
obj-$(CONFIG_SND_SOC_RT5663)	+= snd-soc-rt5663.o
obj-$(CONFIG_SND_SOC_RT5665)	+= snd-soc-rt5665.o
obj-$(CONFIG_SND_SOC_RT5668)	+= snd-soc-rt5668.o
obj-$(CONFIG_SND_SOC_RT5670)	+= snd-soc-rt5670.o
obj-$(CONFIG_SND_SOC_RT5677)	+= snd-soc-rt5677.o
obj-$(CONFIG_SND_SOC_RT5677_SPI)	+= snd-soc-rt5677-spi.o
obj-$(CONFIG_SND_SOC_RT5682)	+= snd-soc-rt5682.o
obj-$(CONFIG_SND_SOC_RT5682_I2C)	+= snd-soc-rt5682-i2c.o
obj-$(CONFIG_SND_SOC_RT5682_SDW)	+= snd-soc-rt5682-sdw.o
obj-$(CONFIG_SND_SOC_RT5682S)	+= snd-soc-rt5682s.o
obj-$(CONFIG_SND_SOC_RT700)     += snd-soc-rt700.o
obj-$(CONFIG_SND_SOC_RT711)     += snd-soc-rt711.o
obj-$(CONFIG_SND_SOC_RT711_SDCA_SDW)     += snd-soc-rt711-sdca.o
obj-$(CONFIG_SND_SOC_RT712_SDCA_SDW)     += snd-soc-rt712-sdca.o
obj-$(CONFIG_SND_SOC_RT712_SDCA_DMIC_SDW)     += snd-soc-rt712-sdca-dmic.o
obj-$(CONFIG_SND_SOC_RT715)     += snd-soc-rt715.o
obj-$(CONFIG_SND_SOC_RT715_SDCA_SDW)     += snd-soc-rt715-sdca.o
obj-$(CONFIG_SND_SOC_RT722_SDCA_SDW)     += snd-soc-rt722-sdca.o
obj-$(CONFIG_SND_SOC_RT9120)	+= snd-soc-rt9120.o
obj-$(CONFIG_SND_SOC_RTQ9128)	+= snd-soc-rtq9128.o
obj-$(CONFIG_SND_SOC_SDW_MOCKUP)     += snd-soc-sdw-mockup.o
obj-$(CONFIG_SND_SOC_SGTL5000)  += snd-soc-sgtl5000.o
obj-$(CONFIG_SND_SOC_SIGMADSP)	+= snd-soc-sigmadsp.o
obj-$(CONFIG_SND_SOC_SIGMADSP_I2C)	+= snd-soc-sigmadsp-i2c.o
obj-$(CONFIG_SND_SOC_SIGMADSP_REGMAP)	+= snd-soc-sigmadsp-regmap.o
obj-$(CONFIG_SND_SOC_SI476X)	+= snd-soc-si476x.o
obj-$(CONFIG_SND_SOC_SMA1303)	+= snd-soc-sma1303.o
obj-$(CONFIG_SND_SOC_SPDIF)	+= snd-soc-spdif-rx.o snd-soc-spdif-tx.o
obj-$(CONFIG_SND_SOC_SRC4XXX)	+= snd-soc-src4xxx.o
obj-$(CONFIG_SND_SOC_SRC4XXX_I2C)	+= snd-soc-src4xxx-i2c.o
obj-$(CONFIG_SND_SOC_SSM2305)	+= snd-soc-ssm2305.o
obj-$(CONFIG_SND_SOC_SSM2518)	+= snd-soc-ssm2518.o
obj-$(CONFIG_SND_SOC_SSM2602)	+= snd-soc-ssm2602.o
obj-$(CONFIG_SND_SOC_SSM2602_SPI)	+= snd-soc-ssm2602-spi.o
obj-$(CONFIG_SND_SOC_SSM2602_I2C)	+= snd-soc-ssm2602-i2c.o
obj-$(CONFIG_SND_SOC_SSM3515)	+= snd-soc-ssm3515.o
obj-$(CONFIG_SND_SOC_SSM4567)	+= snd-soc-ssm4567.o
obj-$(CONFIG_SND_SOC_STA32X)   += snd-soc-sta32x.o
obj-$(CONFIG_SND_SOC_STA350)   += snd-soc-sta350.o
obj-$(CONFIG_SND_SOC_STA529)   += snd-soc-sta529.o
obj-$(CONFIG_SND_SOC_STAC9766)	+= snd-soc-stac9766.o
obj-$(CONFIG_SND_SOC_STI_SAS)	+= snd-soc-sti-sas.o
obj-$(CONFIG_SND_SOC_TAS2552)	+= snd-soc-tas2552.o
obj-$(CONFIG_SND_SOC_TAS2562)	+= snd-soc-tas2562.o
obj-$(CONFIG_SND_SOC_TAS2764)	+= snd-soc-tas2764.o
obj-$(CONFIG_SND_SOC_TAS2780)	+= snd-soc-tas2780.o
obj-$(CONFIG_SND_SOC_TAS2781_COMLIB)	+= snd-soc-tas2781-comlib.o
obj-$(CONFIG_SND_SOC_TAS2781_FMWLIB)	+= snd-soc-tas2781-fmwlib.o
obj-$(CONFIG_SND_SOC_TAS2781_I2C)	+= snd-soc-tas2781-i2c.o
obj-$(CONFIG_SND_SOC_TAS5086)	+= snd-soc-tas5086.o
obj-$(CONFIG_SND_SOC_TAS571X)	+= snd-soc-tas571x.o
obj-$(CONFIG_SND_SOC_TAS5720)	+= snd-soc-tas5720.o
obj-$(CONFIG_SND_SOC_TAS5805M)	+= snd-soc-tas5805m.o
obj-$(CONFIG_SND_SOC_TAS6424)	+= snd-soc-tas6424.o
obj-$(CONFIG_SND_SOC_TDA7419)	+= snd-soc-tda7419.o
obj-$(CONFIG_SND_SOC_TAS2770) += snd-soc-tas2770.o
obj-$(CONFIG_SND_SOC_TFA9879)	+= snd-soc-tfa9879.o
obj-$(CONFIG_SND_SOC_TFA989X)	+= snd-soc-tfa989x.o
obj-$(CONFIG_SND_SOC_TLV320ADC3XXX)	+= snd-soc-tlv320adc3xxx.o
obj-$(CONFIG_SND_SOC_TLV320AIC23)	+= snd-soc-tlv320aic23.o
obj-$(CONFIG_SND_SOC_TLV320AIC23_I2C)	+= snd-soc-tlv320aic23-i2c.o
obj-$(CONFIG_SND_SOC_TLV320AIC23_SPI)	+= snd-soc-tlv320aic23-spi.o
obj-$(CONFIG_SND_SOC_TLV320AIC26)	+= snd-soc-tlv320aic26.o
obj-$(CONFIG_SND_SOC_TLV320AIC31XX)     += snd-soc-tlv320aic31xx.o
obj-$(CONFIG_SND_SOC_TLV320AIC32X4)     += snd-soc-tlv320aic32x4.o
obj-$(CONFIG_SND_SOC_TLV320AIC32X4_I2C)	+= snd-soc-tlv320aic32x4-i2c.o
obj-$(CONFIG_SND_SOC_TLV320AIC32X4_SPI)	+= snd-soc-tlv320aic32x4-spi.o
obj-$(CONFIG_SND_SOC_TLV320AIC3X)	+= snd-soc-tlv320aic3x.o
obj-$(CONFIG_SND_SOC_TLV320AIC3X_I2C)	+= snd-soc-tlv320aic3x-i2c.o
obj-$(CONFIG_SND_SOC_TLV320AIC3X_SPI)	+= snd-soc-tlv320aic3x-spi.o
obj-$(CONFIG_SND_SOC_TLV320DAC33)	+= snd-soc-tlv320dac33.o
obj-$(CONFIG_SND_SOC_TLV320ADCX140)	+= snd-soc-tlv320adcx140.o
obj-$(CONFIG_SND_SOC_TSCS42XX)	+= snd-soc-tscs42xx.o
obj-$(CONFIG_SND_SOC_TSCS454)	+= snd-soc-tscs454.o
obj-$(CONFIG_SND_SOC_TS3A227E)	+= snd-soc-ts3a227e.o
obj-$(CONFIG_SND_SOC_TWL4030)	+= snd-soc-twl4030.o
obj-$(CONFIG_SND_SOC_TWL6040)	+= snd-soc-twl6040.o
obj-$(CONFIG_SND_SOC_UDA1334)	+= snd-soc-uda1334.o
obj-$(CONFIG_SND_SOC_UDA1380)	+= snd-soc-uda1380.o
obj-$(CONFIG_SND_SOC_WCD_CLASSH)	+= snd-soc-wcd-classh.o
obj-$(CONFIG_SND_SOC_WCD_MBHC)	+= snd-soc-wcd-mbhc.o
obj-$(CONFIG_SND_SOC_WCD9335)	+= snd-soc-wcd9335.o
obj-$(CONFIG_SND_SOC_WCD934X)	+= snd-soc-wcd934x.o
obj-$(CONFIG_SND_SOC_WCD937X)	+= snd-soc-wcd937x.o
ifdef CONFIG_SND_SOC_WCD937X_SDW
# avoid link failure by forcing sdw code built-in when needed
obj-$(CONFIG_SND_SOC_WCD937X) += snd-soc-wcd937x-sdw.o
endif
obj-$(CONFIG_SND_SOC_WCD938X)	+= snd-soc-wcd938x.o
ifdef CONFIG_SND_SOC_WCD938X_SDW
# avoid link failure by forcing sdw code built-in when needed
obj-$(CONFIG_SND_SOC_WCD938X) += snd-soc-wcd938x-sdw.o
endif
obj-$(CONFIG_SND_SOC_WCD939X)	+= snd-soc-wcd939x.o
ifdef CONFIG_SND_SOC_WCD939X_SDW
# avoid link failure by forcing sdw code built-in when needed
obj-$(CONFIG_SND_SOC_WCD939X) += snd-soc-wcd939x-sdw.o
endif
obj-$(CONFIG_SND_SOC_WL1273)	+= snd-soc-wl1273.o
obj-$(CONFIG_SND_SOC_WM0010)	+= snd-soc-wm0010.o
obj-$(CONFIG_SND_SOC_WM1250_EV1) += snd-soc-wm1250-ev1.o
obj-$(CONFIG_SND_SOC_WM2000)	+= snd-soc-wm2000.o
obj-$(CONFIG_SND_SOC_WM2200)	+= snd-soc-wm2200.o
obj-$(CONFIG_SND_SOC_WM5100)	+= snd-soc-wm5100.o
obj-$(CONFIG_SND_SOC_WM5102)	+= snd-soc-wm5102.o
obj-$(CONFIG_SND_SOC_WM5110)	+= snd-soc-wm5110.o
obj-$(CONFIG_SND_SOC_WM8350)	+= snd-soc-wm8350.o
obj-$(CONFIG_SND_SOC_WM8400)	+= snd-soc-wm8400.o
obj-$(CONFIG_SND_SOC_WM8510)	+= snd-soc-wm8510.o
obj-$(CONFIG_SND_SOC_WM8523)	+= snd-soc-wm8523.o
obj-$(CONFIG_SND_SOC_WM8524)	+= snd-soc-wm8524.o
obj-$(CONFIG_SND_SOC_WM8580)	+= snd-soc-wm8580.o
obj-$(CONFIG_SND_SOC_WM8711)	+= snd-soc-wm8711.o
obj-$(CONFIG_SND_SOC_WM8727)	+= snd-soc-wm8727.o
obj-$(CONFIG_SND_SOC_WM8728)	+= snd-soc-wm8728.o
obj-$(CONFIG_SND_SOC_WM8731)	+= snd-soc-wm8731.o
obj-$(CONFIG_SND_SOC_WM8731_I2C)	+= snd-soc-wm8731-i2c.o
obj-$(CONFIG_SND_SOC_WM8731_SPI)	+= snd-soc-wm8731-spi.o
obj-$(CONFIG_SND_SOC_WM8737)	+= snd-soc-wm8737.o
obj-$(CONFIG_SND_SOC_WM8741)	+= snd-soc-wm8741.o
obj-$(CONFIG_SND_SOC_WM8750)	+= snd-soc-wm8750.o
obj-$(CONFIG_SND_SOC_WM8753)	+= snd-soc-wm8753.o
obj-$(CONFIG_SND_SOC_WM8770)	+= snd-soc-wm8770.o
obj-$(CONFIG_SND_SOC_WM8776)	+= snd-soc-wm8776.o
obj-$(CONFIG_SND_SOC_WM8782)	+= snd-soc-wm8782.o
obj-$(CONFIG_SND_SOC_WM8804)	+= snd-soc-wm8804.o
obj-$(CONFIG_SND_SOC_WM8804_I2C) += snd-soc-wm8804-i2c.o
obj-$(CONFIG_SND_SOC_WM8804_SPI) += snd-soc-wm8804-spi.o
obj-$(CONFIG_SND_SOC_WM8900)	+= snd-soc-wm8900.o
obj-$(CONFIG_SND_SOC_WM8903)	+= snd-soc-wm8903.o
obj-$(CONFIG_SND_SOC_WM8904)	+= snd-soc-wm8904.o
obj-$(CONFIG_SND_SOC_WM8996)	+= snd-soc-wm8996.o
obj-$(CONFIG_SND_SOC_WM8940)	+= snd-soc-wm8940.o
obj-$(CONFIG_SND_SOC_WM8955)	+= snd-soc-wm8955.o
obj-$(CONFIG_SND_SOC_WM8960)	+= snd-soc-wm8960.o
obj-$(CONFIG_SND_SOC_WM8961)	+= snd-soc-wm8961.o
obj-$(CONFIG_SND_SOC_WM8962)	+= snd-soc-wm8962.o
obj-$(CONFIG_SND_SOC_WM8971)	+= snd-soc-wm8971.o
obj-$(CONFIG_SND_SOC_WM8974)	+= snd-soc-wm8974.o
obj-$(CONFIG_SND_SOC_WM8978)	+= snd-soc-wm8978.o
obj-$(CONFIG_SND_SOC_WM8983)	+= snd-soc-wm8983.o
obj-$(CONFIG_SND_SOC_WM8985)	+= snd-soc-wm8985.o
obj-$(CONFIG_SND_SOC_WM8988)	+= snd-soc-wm8988.o
obj-$(CONFIG_SND_SOC_WM8990)	+= snd-soc-wm8990.o
obj-$(CONFIG_SND_SOC_WM8991)	+= snd-soc-wm8991.o
obj-$(CONFIG_SND_SOC_WM8993)	+= snd-soc-wm8993.o
obj-$(CONFIG_SND_SOC_WM8994)	+= snd-soc-wm8994.o
obj-$(CONFIG_SND_SOC_WM8995)	+= snd-soc-wm8995.o
obj-$(CONFIG_SND_SOC_WM8997)	+= snd-soc-wm8997.o
obj-$(CONFIG_SND_SOC_WM8998)	+= snd-soc-wm8998.o
obj-$(CONFIG_SND_SOC_WM9081)	+= snd-soc-wm9081.o
obj-$(CONFIG_SND_SOC_WM9090)	+= snd-soc-wm9090.o
obj-$(CONFIG_SND_SOC_WM9705)	+= snd-soc-wm9705.o
obj-$(CONFIG_SND_SOC_WM9712)	+= snd-soc-wm9712.o
obj-$(CONFIG_SND_SOC_WM9713)	+= snd-soc-wm9713.o
obj-$(CONFIG_SND_SOC_WM_ADSP)	+= snd-soc-wm-adsp.o
obj-$(CONFIG_SND_SOC_WM_HUBS)	+= snd-soc-wm-hubs.o
obj-$(CONFIG_SND_SOC_WSA881X)	+= snd-soc-wsa881x.o
obj-$(CONFIG_SND_SOC_WSA883X)	+= snd-soc-wsa883x.o
obj-$(CONFIG_SND_SOC_WSA884X)	+= snd-soc-wsa884x.o
obj-$(CONFIG_SND_SOC_ZL38060)	+= snd-soc-zl38060.o

# Amp
obj-$(CONFIG_SND_SOC_MAX9877)	+= snd-soc-max9877.o
obj-$(CONFIG_SND_SOC_MAX98504)	+= snd-soc-max98504.o
obj-$(CONFIG_SND_SOC_SIMPLE_AMPLIFIER)	+= snd-soc-simple-amplifier.o
obj-$(CONFIG_SND_SOC_TPA6130A2)	+= snd-soc-tpa6130a2.o
obj-$(CONFIG_SND_SOC_LPASS_MACRO_COMMON)	+= snd-soc-lpass-macro-common.o
obj-$(CONFIG_SND_SOC_LPASS_WSA_MACRO)	+= snd-soc-lpass-wsa-macro.o
obj-$(CONFIG_SND_SOC_LPASS_VA_MACRO)	+= snd-soc-lpass-va-macro.o
obj-$(CONFIG_SND_SOC_LPASS_RX_MACRO)	+= snd-soc-lpass-rx-macro.o
obj-$(CONFIG_SND_SOC_LPASS_TX_MACRO)	+= snd-soc-lpass-tx-macro.o

# Mux
obj-$(CONFIG_SND_SOC_SIMPLE_MUX)	+= snd-soc-simple-mux.o
